Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Inherited Constants | Fields | Ctors | Methods | Inherited Methods | [Expand All]
public final class

# VisibleRegion

extends Object
implements Parcelable

java.lang.Object
↳ | com.google.android.gms.maps.model.VisibleRegion

## Class Overview

Contains the four points defining the four-sided polygon that is visible in a map's camera. This polygon can be a trapezoid instead of a rectangle, because a camera can have tilt. If the camera is directly over the center of the camera, the shape is rectangular, but if the camera is tilted, the shape will appear to be a trapezoid whose smallest side is closest to the point of view.

## Summary

[Expand] Inherited Constants

From interface android.os.Parcelable

int | CONTENTS_FILE_DESCRIPTOR |
int | PARCELABLE_WRITE_RETURN_VALUE |

Fields
public static final VisibleRegionCreator | CREATOR |
public final LatLng | farLeft | LatLng object that defines the far left corner of the camera.
public final LatLng | farRight | LatLng object that defines the far right corner of the camera.
public final LatLngBounds | latLngBounds | The smallest bounding box that includes the visible region defined in this class.
public final LatLng | nearLeft | LatLng object that defines the bottom left corner of the camera.
public final LatLng | nearRight | LatLng object that defines the bottom right corner of the camera.

Public Constructors
| VisibleRegion(LatLng nearLeft, LatLng nearRight, LatLng farLeft, LatLng farRight, LatLngBounds latLngBounds) Creates a new VisibleRegion given the four corners of the camera.

Public Methods
int | describeContents()
boolean | equals(Object o) Compares this `VisibleRegion` to another object.
int | hashCode()
String | toString()
void | writeToParcel(Parcel out, int flags)

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface android.os.Parcelable

abstract int | describeContents()
abstract void | writeToParcel(Parcel arg0, int arg1)

## Fields

#### public static final VisibleRegionCreator CREATOR

#### public final LatLng farLeft

LatLng object that defines the far left corner of the camera.

#### public final LatLng farRight

LatLng object that defines the far right corner of the camera.

#### public final LatLngBounds latLngBounds

The smallest bounding box that includes the visible region defined in this class.

If this box crosses the 180° meridian (the vertical line from north to south), the longitude in `farRight` will be negative and the longitude in `farLeft` will be positive. This rule also applies to `nearRight` and `nearLeft`.

#### public final LatLng nearLeft

LatLng object that defines the bottom left corner of the camera.

#### public final LatLng nearRight

LatLng object that defines the bottom right corner of the camera.

## Public Constructors

#### public VisibleRegion (LatLng nearLeft, LatLng nearRight, LatLng farLeft, LatLng farRight, LatLngBounds latLngBounds)

Creates a new VisibleRegion given the four corners of the camera. The LatLng parameters must define a convex shape (the edges of the resulting shape mustn't cross). No bounds checking is performed at runtime.

##### Parameters

nearLeft | a `LatLng` object containing the latitude and longitude of the near left corner of the region.
nearRight | a `LatLng` object containing the latitude and longitude of the near right corner of the region.
farLeft | a `LatLng` object containing the latitude and longitude of the far left corner of the region.
farRight | a `LatLng` object containing the latitude and longitude of the far right corner of the region.
latLngBounds | the smallest bounding box that includes the visible region defined in this class. If this box crosses the 180° meridian (the vertical line from north to south), the longitude in `farRight` will be negative and the longitude in `farLeft` will be positive. Same applies to `nearRight` and `nearLeft`.

## Public Methods

#### public int describeContents ()

#### public boolean equals (Object o)

Compares this `VisibleRegion` to another object. If the other object is actually a pointer to this object, or if all four corners and the bounds of the two objects are the same, this method returns true. Otherwise, this method returns false.

##### Parameters

o | an `Object`. Return true if both objects are the same object, or if all four corners and the bounds of the two objects are the same. Return false otherwise.

#### public int hashCode ()

#### public String toString ()

#### public void writeToParcel (Parcel out, int flags)